Oracle Linux 3 / 4 / 5 : libvorbis (ELSA-2009-1219)

This script is Copyright (C) 2013 Tenable Network Security, Inc.


Synopsis :

The remote Oracle Linux host is missing one or more security updates.

Description :

From Red Hat Security Advisory 2009:1219 :

Updated libvorbis packages that fix one security issue are now
available for Red Hat Enterprise Linux 3, 4, and 5.

This update has been rated as having important security impact by the
Red Hat Security Response Team.

The libvorbis packages contain runtime libraries for use in programs
that support Ogg Vorbis. Ogg Vorbis is a fully open, non-proprietary,
patent-and royalty-free, general-purpose compressed audio format.

An insufficient input validation flaw was found in the way libvorbis
processes the codec file headers (static mode headers and encoding
books) of the Ogg Vorbis audio file format (Ogg). A remote attacker
could provide a specially-crafted Ogg file that would cause a denial
of service (memory corruption and application crash) or, potentially,
execute arbitrary code with the privileges of an application using the
libvorbis library when opened by a victim. (CVE-2009-2663)

Users of libvorbis should upgrade to these updated packages, which
contain a backported patch to correct this issue. The desktop must be
restarted (log out, then log back in) for this update to take effect.

See also :

https://oss.oracle.com/pipermail/el-errata/2009-August/001123.html
https://oss.oracle.com/pipermail/el-errata/2009-August/001124.html
https://oss.oracle.com/pipermail/el-errata/2009-August/001126.html

Solution :

Update the affected libvorbis packages.

Risk factor :

High / CVSS Base Score : 9.3
(CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C)
CVSS Temporal Score : 7.3
(CVSS2#E:POC/RL:OF/RC:C)
Public Exploit Available : true

Family: Oracle Linux Local Security Checks

Nessus Plugin ID: 67913 ()

Bugtraq ID: 36018

CVE ID: CVE-2009-2663